declare const ResizableTextArea: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    rows: NumberConstructor;
    autosize: {
        type: import("vue").PropType<boolean | import("./inputProps").AutoSizeType>;
        default: any;
    };
    autoSize: {
        type: import("vue").PropType<boolean | import("./inputProps").AutoSizeType>;
        default: any;
    };
    onResize: {
        type: import("vue").PropType<(size: {
            width: number;
            height: number;
        }) => void>;
    };
    onCompositionstart: {
        type: import("vue").PropType<import("../_util/EventInterface").CompositionEventHandler | import("../_util/EventInterface").CompositionEventHandler[]>;
    };
    onCompositionend: {
        type: import("vue").PropType<import("../_util/EventInterface").CompositionEventHandler | import("../_util/EventInterface").CompositionEventHandler[]>;
    };
    valueModifiers: ObjectConstructor;
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    value: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    name: StringConstructor;
    type: {
        type: import("vue").PropType<"number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password">;
        default: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    };
    onFocus: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    onBlur: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    onChange: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    onInput: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    onKeydown: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onKeyup: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    focused: {
        type: BooleanConstructor;
        default: any;
    };
    hidden: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    autocomplete: StringConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    status: import("vue").PropType<"" | "error" | "warning">;
    placeholder: {
        type: import("vue").PropType<string | number>;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    'onUpdate:value': import("vue").PropType<(val: string) => void>;
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    maxlength: NumberConstructor;
    showCount: {
        type: import("vue").PropType<boolean | import("../vc-input/inputProps").ShowCountProps>;
    };
    htmlSize: NumberConstructor;
    onPressEnter: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onMouseUp: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    onRawInput: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    inputElement: import("vue-types").VueTypeValidableDef<any>;
    triggerFocus: import("vue").PropType<() => void>;
    handleReset: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    rows: NumberConstructor;
    autosize: {
        type: import("vue").PropType<boolean | import("./inputProps").AutoSizeType>;
        default: any;
    };
    autoSize: {
        type: import("vue").PropType<boolean | import("./inputProps").AutoSizeType>;
        default: any;
    };
    onResize: {
        type: import("vue").PropType<(size: {
            width: number;
            height: number;
        }) => void>;
    };
    onCompositionstart: {
        type: import("vue").PropType<import("../_util/EventInterface").CompositionEventHandler | import("../_util/EventInterface").CompositionEventHandler[]>;
    };
    onCompositionend: {
        type: import("vue").PropType<import("../_util/EventInterface").CompositionEventHandler | import("../_util/EventInterface").CompositionEventHandler[]>;
    };
    valueModifiers: ObjectConstructor;
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    value: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    name: StringConstructor;
    type: {
        type: import("vue").PropType<"number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password">;
        default: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    };
    onFocus: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    onBlur: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    onChange: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    onInput: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    onKeydown: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onKeyup: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    focused: {
        type: BooleanConstructor;
        default: any;
    };
    hidden: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    autocomplete: StringConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    status: import("vue").PropType<"" | "error" | "warning">;
    placeholder: {
        type: import("vue").PropType<string | number>;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    'onUpdate:value': import("vue").PropType<(val: string) => void>;
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    maxlength: NumberConstructor;
    showCount: {
        type: import("vue").PropType<boolean | import("../vc-input/inputProps").ShowCountProps>;
    };
    htmlSize: NumberConstructor;
    onPressEnter: import("vue").PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    onMouseUp: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    onRawInput: import("vue").PropType<import("../_util/EventInterface").ChangeEventHandler>;
    inputElement: import("vue-types").VueTypeValidableDef<any>;
    triggerFocus: import("vue").PropType<() => void>;
    handleReset: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
}>> & Readonly<{}>, {
    value: string | number;
    type: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    onMousedown: import("../_util/EventInterface").MouseEventHandler;
    focused: boolean;
    hidden: boolean;
    disabled: boolean;
    loading: boolean;
    bordered: boolean;
    defaultValue: string | number;
    allowClear: boolean;
    autofocus: boolean;
    readonly: boolean;
    lazy: boolean;
    onMouseUp: import("../_util/EventInterface").MouseEventHandler;
    autosize: any;
    autoSize: any;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default ResizableTextArea;
