import { type CSSProperties, type TransitionGroupProps } from 'vue';
import type { Key } from '../_util/type';
import type { NotificationState, Placement, StackConfig } from './interface';
export interface NoticeListProps {
    configList?: NotificationState;
    notices?: NotificationState;
    placement?: Placement;
    prefixCls?: string;
    closeIcon?: any;
    onClose?: (noticeKey?: Key) => void;
    hashId?: string;
    getStyles?: (placement?: Placement) => CSSProperties;
    onAfterLeave?: () => void;
    transitionProps?: TransitionGroupProps;
    wrapperClassName?: any;
    wrapperStyle?: any;
    stack?: StackConfig;
}
export declare const NoticeList: import("vue").DefineComponent<NoticeListProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<NoticeListProps> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
