import { type PropType } from 'vue';
import { type KeyboardEventHandler, type ChangeEventHandler } from '../../_util/EventInterface';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    index: NumberConstructor;
    value: {
        type: StringConstructor;
        default: any;
    };
    mask: {
        type: (BooleanConstructor | StringConstructor)[];
        default: boolean;
    };
    onChange: {
        type: PropType<(index: number, value: string) => void>;
    };
    onActiveChange: PropType<(nextIndex: number) => void>;
    status: {
        type: PropType<"" | "error" | "warning">;
        default: any;
    };
    size: {
        type: PropType<import("../../button").ButtonSize>;
    };
    name: StringConstructor;
    type: {
        type: PropType<"number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password">;
        default: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    };
    onCompositionend: PropType<import("../../_util/EventInterface").CompositionEventHandler>;
    onCompositionstart: PropType<import("../../_util/EventInterface").CompositionEventHandler>;
    onFocus: PropType<import("../../_util/EventInterface").FocusEventHandler>;
    onBlur: PropType<import("../../_util/EventInterface").FocusEventHandler>;
    onInput: PropType<ChangeEventHandler>;
    onKeydown: PropType<KeyboardEventHandler>;
    onKeyup: PropType<KeyboardEventHandler>;
    onMousedown: {
        type: PropType<import("../../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    focused: {
        type: BooleanConstructor;
        default: any;
    };
    hidden: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    autocomplete: StringConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    defaultValue: {
        type: PropType<string | number>;
        default: any;
    };
    placeholder: {
        type: PropType<string | number>;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    'onUpdate:value': PropType<(val: string) => void>;
    suffix: import("vue-types").VueTypeValidableDef<any>;
    prefix: import("vue-types").VueTypeValidableDef<any>;
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    maxlength: NumberConstructor;
    showCount: {
        type: PropType<boolean | import("../../vc-input/inputProps").ShowCountProps>;
    };
    htmlSize: NumberConstructor;
    onPressEnter: PropType<KeyboardEventHandler>;
    onMouseUp: {
        type: PropType<import("../../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    onRawInput: PropType<ChangeEventHandler>;
    valueModifiers: ObjectConstructor;
    inputElement: import("vue-types").VueTypeValidableDef<any>;
    triggerFocus: PropType<() => void>;
    handleReset: PropType<import("../../_util/EventInterface").MouseEventHandler>;
    addonBefore: import("vue-types").VueTypeValidableDef<any>;
    addonAfter: import("vue-types").VueTypeValidableDef<any>;
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    index: NumberConstructor;
    value: {
        type: StringConstructor;
        default: any;
    };
    mask: {
        type: (BooleanConstructor | StringConstructor)[];
        default: boolean;
    };
    onChange: {
        type: PropType<(index: number, value: string) => void>;
    };
    onActiveChange: PropType<(nextIndex: number) => void>;
    status: {
        type: PropType<"" | "error" | "warning">;
        default: any;
    };
    size: {
        type: PropType<import("../../button").ButtonSize>;
    };
    name: StringConstructor;
    type: {
        type: PropType<"number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password">;
        default: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    };
    onCompositionend: PropType<import("../../_util/EventInterface").CompositionEventHandler>;
    onCompositionstart: PropType<import("../../_util/EventInterface").CompositionEventHandler>;
    onFocus: PropType<import("../../_util/EventInterface").FocusEventHandler>;
    onBlur: PropType<import("../../_util/EventInterface").FocusEventHandler>;
    onInput: PropType<ChangeEventHandler>;
    onKeydown: PropType<KeyboardEventHandler>;
    onKeyup: PropType<KeyboardEventHandler>;
    onMousedown: {
        type: PropType<import("../../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    focused: {
        type: BooleanConstructor;
        default: any;
    };
    hidden: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    autocomplete: StringConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    defaultValue: {
        type: PropType<string | number>;
        default: any;
    };
    placeholder: {
        type: PropType<string | number>;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    'onUpdate:value': PropType<(val: string) => void>;
    suffix: import("vue-types").VueTypeValidableDef<any>;
    prefix: import("vue-types").VueTypeValidableDef<any>;
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    maxlength: NumberConstructor;
    showCount: {
        type: PropType<boolean | import("../../vc-input/inputProps").ShowCountProps>;
    };
    htmlSize: NumberConstructor;
    onPressEnter: PropType<KeyboardEventHandler>;
    onMouseUp: {
        type: PropType<import("../../_util/EventInterface").MouseEventHandler>;
        default: any;
    };
    onRawInput: PropType<ChangeEventHandler>;
    valueModifiers: ObjectConstructor;
    inputElement: import("vue-types").VueTypeValidableDef<any>;
    triggerFocus: PropType<() => void>;
    handleReset: PropType<import("../../_util/EventInterface").MouseEventHandler>;
    addonBefore: import("vue-types").VueTypeValidableDef<any>;
    addonAfter: import("vue-types").VueTypeValidableDef<any>;
}>> & Readonly<{}>, {
    value: string;
    type: "number" | "reset" | "submit" | "button" | "time" | "image" | "text" | "search" | "hidden" | "color" | "checkbox" | "radio" | "range" | "date" | "url" | "email" | "week" | "month" | "tel" | "datetime-local" | "file" | "password";
    mask: string | boolean;
    onMousedown: import("../../_util/EventInterface").MouseEventHandler;
    focused: boolean;
    hidden: boolean;
    disabled: boolean;
    loading: boolean;
    bordered: boolean;
    defaultValue: string | number;
    status: "" | "error" | "warning";
    allowClear: boolean;
    autofocus: boolean;
    readonly: boolean;
    lazy: boolean;
    onMouseUp: import("../../_util/EventInterface").MouseEventHandler;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
