"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _internal = require("../../theme/internal");
var _index = require("./index");
const genOTPInputStyle = token => {
  const {
    componentCls,
    paddingXS
  } = token;
  return {
    [`${componentCls}`]: {
      display: 'inline-flex',
      alignItems: 'center',
      flexWrap: 'nowrap',
      columnGap: paddingXS,
      '&-rtl': {
        direction: 'rtl'
      },
      [`${componentCls}-input`]: {
        textAlign: 'center',
        paddingInline: token.paddingXXS
      },
      // ================= Size =====================
      [`&${componentCls}-sm ${componentCls}-input`]: {
        paddingInline: token.paddingXXS / 2
      },
      [`&${componentCls}-lg ${componentCls}-input`]: {
        paddingInline: token.paddingXS
      }
    }
  };
};
// ================ EXPORT =======================
var _default = exports.default = (0, _internal.genComponentStyleHook)('Input', token => {
  const inputToken = (0, _index.initInputToken)(token);
  return [genOTPInputStyle(inputToken)];
});